{% extends '../../base.html'%} {% block main %} {% load static %}


<style></style>

<div class="container main-favorites-container position-relative">
  {% include "../../components/quick_access.html" %}
  {% if is_empty %}

  <div class="d-flex flex-column w-100 h-fit gap-0">
    <div
      class="w-100 h-15 alert alert-danger text-center fs-6 mt-5"
      role="alert"
    >
      Nous sommes en train de développer notre site, et bien que certaines
      fonctionnalités ne soient pas encore disponibles, nous sommes
      reconnaissants de votre patience.
    </div>
    <div
      class="w-100 h-25 alert alert-warning text-center fs-3 mt-5"
      role="alert"
    >
      Votre liste de favoris est actuellement vide !
    </div>
  </div>
  {% else %}
  <div
    class="table-container"
    id="table-container"
    style="width: 100%; height: 90vh; overflow-x: hidden"
  >
    <div
      class="w-100 h-15 alert alert-danger text-center fs-6 mt-5"
      role="alert"
    >
      Nous sommes en train de développer notre site, et bien que certaines
      fonctionnalités ne soient pas encore disponibles, nous sommes
      reconnaissants de votre patience.
    </div>
    <div class="sort">
      <div class="select" title="trier les article par ..">
        <select
          id="type-object"
          class="form-select"
          aria-label="Default select example"
        >
          <option value="0" selected>Tout</option>
          {% for type in all_atyicle_types %}
          <option value="{{ type.id }}">{{ type.name }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="search">
        <div
          class="input-group"
          title="Recharcher par le nom de drone ou par le nom de la piéce"
        >
          <input
            placeholder="Recharcher ..."
            type="text"
            class="form-control pl-1"
            aria-label="Sizing example input"
            aria-describedby="inputGroup-sizing-default"
          />
          <span class="input-group-text" id="inputGroup-sizing-default">
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <div class="cards">
      {% for article in favorite.articles.all %}
      <div class="cost-card" data-type="{{article.article_type.id}}">
        <a
          href="{% url 'one_article' article.id %}"
          class="d-flex flex-column justify-content-center align-items-center h-100"
        >
          <img
            src="../../../../media/{{ article.images.all.0.url }}"
            class="cost-card-img-top"
            alt="ARTICEL IMAGE"
          />
        </a>
        <div class="cost-card-body w-100">
          <h5 class="cost-card-title w-100 text-center">{{ article.title|slice:":20" }} ...</h5>
          <div class="d-flex w-100 flex-column">
            <div
              class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
            >
              <a
                href="{% url 'delete_article_from_favorites' article.id %}"
                class="btn btn-primary h-fit w-fit"
                ><i class="fa-solid fa-trash"></i
              ></a>
              <div class="fs-3 text-center">
                {{ article.get_price_frnce_format }}
              </div>
            </div>
          </div>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
  {% endif %}
</div>

{% endblock main%}
